Skip to main content
PUT
Update an appointment.

Authorizations

Authorization
string
header
required

Authorization header using the Bearer scheme. Accepted values are Leadping user JWT access tokens and WorkOS organization API keys beginning with sk_.

Path Parameters

id
string
required

The appointment identifier.

Body

The updated appointment details and expected revision.

Creates or reschedules an agent's callback appointment.

title
string
required
Maximum string length: 200
leadId
string
required
timeZoneId
string
required
assignedToUserId
null | string
startAt
string<date-time>
notes
null | string
Maximum string length: 2000
expectedRevision
integer<int64>

Response

OK

An appointment visible to the current user, with history populated on detail requests.

isDemo
boolean
createdAt
null | string<date-time>
modifiedAt
null | string<date-time>
history
object[]
id
string
leadId
string
leadFirstName
null | string
leadLastName
null | string
leadEmail
null | string<email>
leadAvatarUrl
null | string<uri>
leadName
string
organizationId
string
organizationName
null | string
assignedToUserId
string
assignedToName
string
startAt
string<date-time>
timeZoneId
string
title
string
notes
null | string
status
string
revision
integer<int64>
reminderAt
string<date-time>
dismissedAt
null | string<date-time>